Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | Friends | List of all members
FieldValue Struct Referenceabstract

Value of an header field (base class). More...

`#include <fieldvalue.h>`

Inheritance diagram for FieldValue:

## Public Member Functions

virtual void | set (const std::string &val)=0
virtual std::string | str () const =0
virtual FieldValue * | clone () const =0

## Protected Member Functions

bool | typeChecked () const
void | typeChecked (bool)

## Friends

class | Rfc822Header
std::ostream & | operator<< (std::ostream &, const FieldValue &)

## Detailed Description

Value of an header field (base class).

The documentation for this struct was generated from the following file:

- fieldvalue.h